SRC += $(wildcard $(HAL_DIR)/hal_storage/*.c)
CFLAGS += -I$(HAL_DIR)/hal_storage
ifdef MOD_AUDIO
	SRC += $(wildcard $(HAL_DIR)/hal_storage/$(MOD_AUDIO)/*.c)
else
	$(warning warning you sure no audio?)
endif